Ludwig Nussel
57fa87d493
OBS-URL: https://build.opensuse.org/package/show/Base:System/busybox?expand=0&rev=23
28 lines
833 B
Diff
28 lines
833 B
Diff
Index: busybox-1.19.4/applets/install.sh
|
|
===================================================================
|
|
--- busybox-1.19.4.orig/applets/install.sh
|
|
+++ busybox-1.19.4/applets/install.sh
|
|
@@ -5,11 +5,11 @@ export LC_CTYPE=POSIX
|
|
|
|
prefix=$1
|
|
if [ -z "$prefix" ]; then
|
|
- echo "usage: applets/install.sh DESTINATION [--symlinks/--hardlinks/--scriptwrapper]"
|
|
+ echo "usage: busybox.install DESTINATION [--symlinks/--hardlinks/--scriptwrapper]"
|
|
exit 1
|
|
fi
|
|
|
|
-h=`sort busybox.links | uniq`
|
|
+h=`sort /usr/share/busybox/busybox.links | uniq`
|
|
|
|
linkopts=""
|
|
scriptwrapper="n"
|
|
@@ -64,7 +64,7 @@ fi
|
|
|
|
rm -f "$prefix/bin/busybox" || exit 1
|
|
mkdir -p "$prefix/bin" || exit 1
|
|
-install -m 755 busybox "$prefix/bin/busybox" || exit 1
|
|
+install -m 755 /usr/bin/busybox "$prefix/bin/busybox" || exit 1
|
|
|
|
for i in $h; do
|
|
appdir=`dirname "$i"`
|